首页
登录 | 注册

centos中python升级后,yum无法使用的解决办法

当我们yum命令的时候,会提示

“File “/usr/bin/yum”, line 30

except KeyboardInterrupt, e:

                        ^

SyntaxError: invalid syntax”

可能是升级python引起的,yum是用python作为解释器的。
centos中python升级后,yum无法使用的解决办法

只需要修改yum配置文件,将python版本指向以前的旧版就可以了。

vim /usr/bin/yum

因为我的旧版本是2.7,所以将#!/usr/bin/python改为#!/usr/bin/python2.7就可以了!
退出保存

yum恢复正常了!



2020 jeepxie.net webmaster#jeepxie.net
10 q. 0.008 s.
京ICP备10005923号